"Plugin Error from Demux:", then no further information?

I am trying to run the demultiplexing step on my data and coming up to an error I am a little stumped by, I have tried re-importing my fastq.gz files but this has not made a difference. I am a little stupmed! the error message is giving me very little output. See below for the command, verbose output and error message.

Command

qiime demux emp-paired --m-barcodes-file sample-metadata.tsv --m-barcodes-column BarcodeSequence --i-seqs emp-paired-end-sequences.qza --o-per-sample-sequences demux --o-error-correction-details error --p-no-golay-error-correction --p-rev-comp-mapping-barcodes --verbose

Verbose output

Traceback (most recent call last):
File “/gpfs/software/python/anaconda/2019.3/3.7/envs/qiime2-2019.7/lib/python3.6/site-packages/q2cli/commands.py”, line 327, in call
results = action(**arguments)
File “</gpfs/software/python/anaconda/2019.3/3.7/envs/qiime2-2019.7/lib/python3.6/site-packages/decorator.py:decorator-gen-437>”, line 2, in emp_paired
File “/gpfs/software/python/anaconda/2019.3/3.7/envs/qiime2-2019.7/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 240, in bound_callable
output_types, provenance)
File “/gpfs/software/python/anaconda/2019.3/3.7/envs/qiime2-2019.7/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 383, in callable_executor
output_views = self._callable(**view_args)
File “/gpfs/software/python/anaconda/2019.3/3.7/envs/qiime2-2019.7/lib/python3.6/site-packages/q2_demux/_demux.py”, line 467, in emp_paired
details = pd.DataFrame(ec_details, columns=columns)
File “/gpfs/software/python/anaconda/2019.3/3.7/envs/qiime2-2019.7/lib/python3.6/site-packages/pandas/core/frame.py”, line 435, in init
arrays, columns = to_arrays(data, columns, dtype=dtype)
File “/gpfs/software/python/anaconda/2019.3/3.7/envs/qiime2-2019.7/lib/python3.6/site-packages/pandas/core/internals/construction.py”, line 404, in to_arrays
dtype=dtype)
File “/gpfs/software/python/anaconda/2019.3/3.7/envs/qiime2-2019.7/lib/python3.6/site-packages/pandas/core/internals/construction.py”, line 434, in _list_to_arrays
content = list(lib.to_object_array(data).T)
File “pandas/_libs/lib.pyx”, line 2269, in pandas._libs.lib.to_object_array
MemoryError

Error message

Plugin error from demux:
See above for debug info.

I am stumped as to how to go about correcting this error! Any help anyone can give would be appreciated, thanks!

Qiime2 version is 2019.7

Good afternoon,

Hopefully this is an easy one. I think you may be running out of RAM!

Do you think that possible?
Colin

2 Likes

Hi Colin,

Turns out I forgot to start the interactive session within my terminal (duh…) so I guess so yes! Thanks for the helpM

Shall I delete this post? It’s probably not helpful to anyone else at this point…

Up to you! There’s no harm in leaving it up. I’ll mark it at solved.

Colin

Please leave it up, this is valuable information for future readers.

1 Like